Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Interface IViewerListProperty

All Superinterfaces:
  IListProperty, IProperty

All Known Implementing Classes:
  ViewerListProperty

    public interface IViewerListProperty

extends IListProperty

`IListProperty` for observing a JFace viewer

Since:
  1.3
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`IViewerObservableList` `observe(Viewer viewer)` Returns an `IViewerObservableList` observing this list property on the given viewer

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`getElementType, getList, listFactory, listFactory, observe, observe, observeDetail, setList, updateList, values`

Method Detail

### observe

    IViewerObservableList observe(Viewer viewer)

  Returns an `IViewerObservableList` observing this list property on the given viewer

  Parameters:
    `viewer` - the source viewer
  Returns:
    an observable list observing this list property on the given viewer

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.